before_script:
    - echo "Before script"
    - echo "for example you might run an update here or install a build dependency"
    - echo "Or perhaps you might print out some debugging details"
    - chmod u+x countingscript
after_script:
    - echo "After script section"
    - echo "For example you might do some cleanup here"
    - echo "Finish"
build:
    stage: build
    script: 
       - ./countingscript